# Upload registration attachment

> POST /v1/registrations/{registration_id}/attachments

Source: https://docs.trykintsugi.com/reference/upload-registration-attachment

POST /v1/registrations/{registration_id}/attachments

Upload registration attachment

Upload an attachment for a specific registration.

Category: Registrations

Path parameters:
registration_id (string, required)

Response fields:
id (string)
created_at (string) - Timestamp when transaction was created in Kintsugi.
updated_at (string) - Timestamp when transaction was last updated.
related_entity_id (string, required) - The unique identifier of the exemption associated
        with the attachment.
related_entity_type (RelatedEntityType, required) - The type of entity associated with the attachment.
        In this case, it will always be EXEMPTION,  REGISTRATION ,FILING,
        FILING_PAYMENT.
  allowed values: EXEMPTION, REGISTRATION, FILING, FILING_PAYMENT, TASK, FILING_PAYMENT_RECEIPT
organization_id (string, required)
file_name (string, required)
mime_type (string, required)
file_size_bytes (integer, required)
file_location (string, required)
file_location_type (AttachmentLocationType, required)
  allowed values: S3, LOCAL

Response statuses: 200, 422

---

Index of every page: https://docs.trykintsugi.com/llms.txt
